## org.omg.CORBA
Class TypeCode

    java.lang.Object
      |
      +--org.omg.CORBA.TypeCode

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

Direct Known Subclasses:
  TypeCodeBase

public abstract class TypeCode
extends java.lang.Object
implements IDLEntity

See Also:
  Serialized Form

Constructor Summary
`TypeCode()`

Method Summary
`TypeCode` `concrete_base_type()`
`abstract TypeCode` `content_type()`
`abstract int` `default_index()`
`abstract TypeCode` `discriminator_type()`
`abstract boolean` `equal(TypeCode tc)`
`abstract boolean` `equivalent(TypeCode tc)`
`short` `fixed_digits()`
`short` `fixed_scale()`
`abstract TypeCode` `get_compact_typecode()`
`abstract java.lang.String` `id()`
`abstract TCKind` `kind()`
`abstract int` `length()`
`abstract int` `member_count()`
`abstract Any` `member_label(int index)`
`abstract java.lang.String` `member_name(int index)`
`abstract TypeCode` `member_type(int index)`
`short` `member_visibility(int index)`
`abstract java.lang.String` `name()`
`short` `type_modifier()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCode

    public TypeCode()

Method Detail

### equal

    public abstract boolean equal(TypeCode tc)

### equivalent

    public abstract boolean equivalent(TypeCode tc)

### get_compact_typecode

    public abstract TypeCode get_compact_typecode()

### kind

    public abstract TCKind kind()

### id

    public abstract java.lang.String id()
                                 throws BadKind

### name

    public abstract java.lang.String name()
                                   throws BadKind

### member_count

    public abstract int member_count()
                              throws BadKind

### member_name

    public abstract java.lang.String member_name(int index)
                                          throws BadKind,
                                                 Bounds

### member_type

    public abstract TypeCode member_type(int index)
                                  throws BadKind,
                                         Bounds

### member_label

    public abstract Any member_label(int index)
                              throws BadKind,
                                     Bounds

### discriminator_type

    public abstract TypeCode discriminator_type()
                                         throws BadKind

### default_index

    public abstract int default_index()
                               throws BadKind

### length

    public abstract int length()
                        throws BadKind

### content_type

    public abstract TypeCode content_type()
                                   throws BadKind

### fixed_digits

    public short fixed_digits()
                       throws BadKind

### fixed_scale

    public short fixed_scale()
                      throws BadKind

### member_visibility

    public short member_visibility(int index)
                            throws BadKind,
                                   Bounds

### type_modifier

    public short type_modifier()
                        throws BadKind

### concrete_base_type

    public TypeCode concrete_base_type()
                                throws BadKind